#require './lib/zoho_request'
module Wedoops
    module Zoholib
        class RefreshRequest < ZohoRequest

            # Sin en algun momento se quiere evitar el encode de URL
            # he aqui un truco

            #query_string_normalizer proc { |query|
            #    query.map do |key, value|
            #      [value].flatten.map {|v| "#{key}=#{v}"}.join('&')
            #    end.join('&')
            #  }

            def initialize(options={})
                # environment specific settings
                if options.has_key?(:environment) && options[:environment] == "sandbox"
                    self.class.base_uri "https://sandbox.zohoapis.com/oauth/v2/"
                end

                options.merge!(grant_type: "refresh_token")
                @options={:query => options} 
            end

            def get_token
                self.class.post("/token",@options)
            end

        end

    end
end
